Express Route Circuit Authorizations - List
Haalt alle autorisaties op in een expresroutecircuit.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/authorizations?api-version=2025-05-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
circuit
|
path | True |
string |
De naam van het expresroutecircuit. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De aanvraag is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
List ExpressRouteCircuit Authorization
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName/authorizations?api-version=2025-05-01
Voorbeeldrespons
{
"value": [
{
"name": "MyAuthorization1",
"etag": "W/\"e33c875f-48df-4a91-b7d3-eb95b5ddbb89\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName/authorizations/MyAuthorization1",
"properties": {
"authorizationKey": "authKey",
"authorizationUseStatus": "Available",
"provisioningState": "Succeeded"
}
}
]
}
Definities
| Name | Description |
|---|---|
|
Authorization |
Gepagineerde verzameling van ExpressRouteCircuitAuthorization-items |
|
Authorization |
De autorisatiegebruiksstatus. |
|
Cloud |
Een foutreactie van de service. |
|
Cloud |
Een foutreactie van de service. |
|
Express |
Autorisatie in een ExpressRouteCircuit-resource. |
|
Provisioning |
Inrichtingsstatussen van een resource. |
AuthorizationListResult
Gepagineerde verzameling van ExpressRouteCircuitAuthorization-items
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
De koppeling naar de volgende pagina met items |
| value |
De ExpressRouteCircuitAuthorization-items op deze pagina |
AuthorizationUseStatus
De autorisatiegebruiksstatus.
| Waarde | Description |
|---|---|
| Available |
Beschikbaar |
| InUse |
Gebruik |
CloudError
Een foutreactie van de service.
| Name | Type | Description |
|---|---|---|
| error |
Wolk fout lichaam. |
CloudErrorBody
Een foutreactie van de service.
| Name | Type | Description |
|---|---|---|
| code |
string |
Een id voor de fout. Codes zijn invariant en zijn bedoeld om programmatisch te worden gebruikt. |
| details |
Een lijst met aanvullende details over de fout. |
|
| message |
string |
Een bericht met een beschrijving van de fout, bedoeld om te worden weergegeven in een gebruikersinterface. |
| target |
string |
Het doel van de specifieke fout. Bijvoorbeeld de naam van de eigenschap in fout. |
ExpressRouteCircuitAuthorization
Autorisatie in een ExpressRouteCircuit-resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
Een unieke alleen-lezen tekenreeks die wordt gewijzigd wanneer de resource wordt bijgewerkt. |
| id |
string |
Resource-id. |
| name |
string |
Naam van de resource. |
| properties.authorizationKey |
string |
De autorisatiesleutel. |
| properties.authorizationUseStatus |
De autorisatiegebruiksstatus. |
|
| properties.connectionResourceUri |
string |
De verwijzing naar de ExpressRoute-verbindingsresource met behulp van de autorisatie. |
| properties.provisioningState |
De inrichtingsstatus van de autorisatieresource. |
|
| type |
string |
Type bron |
ProvisioningState
Inrichtingsstatussen van een resource.
| Waarde | Description |
|---|---|
| Failed |
Mislukt |
| Succeeded |
Geslaagd |
| Canceled |
Geannuleerd |
| Creating |
Creëren |
| Updating |
Bijwerken |
| Deleting |
Verwijderen |